package com.isidroid.job.data.source.local

import com.isidroid.job.model.PrintJob

class JobLocalSource(private val dao: JobDao) : JobDao {
    override fun insert(vararg printJob: PrintJob) = dao.insert(*printJob)
    override fun delete(vararg printJob: PrintJob) = dao.delete(*printJob)
    override fun find(spotId: String?, status: Int?, ids: List<String>?) = dao.find(spotId, status, ids)
    override fun updateJobStatus(status: Int, vararg ids: String) = dao.updateJobStatus(status, *ids)
}